package com.ynet.life.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.gene.data.IndexedCollection;
import com.ynet.gene.data.KeyedCollection;
import com.ynet.life.base.LifeAction;
import com.ynet.life.base.Trace;
import com.ynet.life.exception.TranFailException;
import java.util.ArrayList;
import java.util.List;
import java.util.StringTokenizer;

/* loaded from: com_ynet_life_action.jar:com/ynet/life/action/ThreeLevelsData.class */
public class ThreeLevelsData extends LifeAction {
    private List fieldList;
    private List fieldNameList;
    private String icoll;
    private String icollB;
    private String returnIcoll;
    private String recordIcoll;

    public String execute(Context context) throws GENEException {
        try {
            if (this.fieldList.size() != this.fieldNameList.size()) {
                Trace.logDebug("LifeAction", "将ICOLL和feild组合成新的ICOLL操作field列表与fieldName列表长度不一致");
                throw new TranFailException("NE0001", "");
            }
            if (this.recordIcoll == null || "".equals(this.recordIcoll)) {
                Trace.logDebug("LifeAction", "将ICOLL和feild组合成新的ICOLL操作返回目标ICOLL中的KCOll域不能为空");
                throw new TranFailException("NE0001", "");
            }
            if (this.icollB == null || "".equals(this.icollB)) {
                Trace.logDebug("LifeAction", "将ICOLL和feild组合成新的ICOLL操作返回目标ICOLL中的icollA里面的的icollB名称不能为空");
                throw new TranFailException("NE0001", "");
            }
            IndexedCollection resicoll = context.getDataElement(this.returnIcoll);
            KeyedCollection recordkcollA = new KeyedCollection();
            recordkcollA.setId(this.recordIcoll);
            for (int i = 0; i < this.fieldList.size(); i++) {
                recordkcollA.addDataField((String) this.fieldNameList.get(i), (String) context.getDataValue((String) this.fieldList.get(i)));
            }
            IndexedCollection icollCopy = context.getDataElement(this.icoll);
            new IndexedCollection();
            IndexedCollection icollBA = (IndexedCollection) icollCopy.clone();
            icollBA.setId(this.icollB);
            recordkcollA.addDataElement(icollBA);
            resicoll.addDataElement(recordkcollA);
            return "0";
        } catch (GENEException ex) {
            Trace.logDebug("LifeAction", "将ICOLL和feild组合成新的ICOLL操作出错");
            Trace.logWarn("LifeAction", ex.getMessage(), ex);
            throw new TranFailException("NE0001", "将ICOLL和feild组合成新的ICOLL操作出错");
        }
    }

    public List convertStringToList(String outputList, String delim) {
        List result = new ArrayList();
        StringTokenizer toke = new StringTokenizer(outputList, delim);
        while (toke.hasMoreElements()) {
            String input = ((String) toke.nextElement()).trim();
            result.add(input);
        }
        return result;
    }

    public List getFieldList() {
        return this.fieldList;
    }

    public List getfieldNameList() {
        return this.fieldNameList;
    }

    public String getIcoll() {
        return this.icoll;
    }

    public void setIcoll(String icoll) {
        this.icoll = icoll;
    }

    public String getIcollB() {
        return this.icollB;
    }

    public void setIcollB(String icollB) {
        this.icollB = icollB;
    }

    public String getReturnIcoll() {
        return this.returnIcoll;
    }

    public void setReturnIcoll(String returnIcoll) {
        this.returnIcoll = returnIcoll;
    }

    public String getRecordIcoll() {
        return this.recordIcoll;
    }

    public void setRecordIcoll(String recordIcoll) {
        this.recordIcoll = recordIcoll;
    }

    public List getFieldNameList() {
        return this.fieldNameList;
    }

    public void setFieldNameList(String fieldNameList) {
        this.fieldNameList = convertStringToList(fieldNameList, "||");
    }

    public void setFieldList(String fieldList) {
        this.fieldList = convertStringToList(fieldList, "||");
    }
}
